CVE-2005-1721
CVSS7.5
发布时间 :2005-06-16 00:00:00
修订时间 :2008-09-05 16:49:53
NMCOS    

[原文]Buffer overflow in the legacy client support for AFP Server for Mac OS X 10.4.1 allows attackers to execute arbitrary code.


[CNNVD]Apple Mac OS X 缓冲区溢出漏洞(CNNVD-200506-152)

        支持Mac OS X 10.4.1操作系统下AFP服务器的legacy客户端软件存在缓冲区溢出漏洞,导致攻击者执行任意代码。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-1721
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-1721
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200506-152
(官方数据源) CNNVD

- 其它链接及资源

http://lists.apple.com/archives/security-announce/2005/Jun/msg00000.html
(UNKNOWN)  APPLE  APPLE-SA-2005-06-08
http://securitytracker.com/id?1014138
(UNKNOWN)  SECTRACK  1014138

- 漏洞信息

Apple Mac OS X 缓冲区溢出漏洞
高危 缓冲区溢出
2005-06-16 00:00:00 2005-10-20 00:00:00
远程※本地  
        支持Mac OS X 10.4.1操作系统下AFP服务器的legacy客户端软件存在缓冲区溢出漏洞,导致攻击者执行任意代码。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        Apple Mac OS X 10.3.9
        Apple SecUpd2005-006Pan.dmg
        http://wsidecar.apple.com/cgi-bin/nph-reg3rdpty1.pl/product=06439&platform=osx&method=sa/SecUpd2005-006Pan.dmg
        Apple Mac OS X Server 10.3.9
        Apple SecUpd2005-006Pan.dmg
        http://wsidecar.apple.com/cgi-bin/nph-reg3rdpty1.pl/product=06439&platform=osx&method=sa/SecUpd2005-006Pan.dmg
        Apple Mac OS X Server 10.4.1
        Apple SecUpd2005-006Ti.dmg
        http://wsidecar.apple.com/cgi-bin/nph-reg3rdpty1.pl/product=06440&platform=osx&method=sa/SecUpd2005-006Ti.dmg
        Apple Mac OS X 10.4.1
        Apple SecUpd2005-006Ti.dmg
        http://wsidecar.apple.com/cgi-bin/nph-reg3rdpty1.pl/product=06440&platform=osx&method=sa/SecUpd2005-006Ti.dmg

- 漏洞信息

17268
Apple Mac OS X AFP Server Legacy Client Support Overflow
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Unknown

- 漏洞描述

A remote overflow exists in Mac OS X. The AFP server fails to validate input which is processed by code which supports legacy clients resulting in a buffer overflow. With a specially crafted request, an attacker can cause arbitrary code execution resulting in a loss of integrity.

- 时间线

2005-06-02 Unknow
Unknow Unknow

- 解决方案

Currently, there are no known workarounds or upgrades to correct this issue. However, Apple has released a patch to address this vulnerability.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Apple Mac OS X Security Update 2005-006 Multiple Vulnerabilities
Unknown 13899
Yes Yes
2005-06-08 12:00:00 2009-07-12 02:56:00
Discovery of the CoreGraphics issue is credited to Chris Evans. Discovery of the folder permissions issue is credited to Michael Haller. Discovery of the launchd issue is credited to Neil Archibald and Ilja Van Sprundel. Other issues were announced by t

- 受影响的程序版本

Apple Mac OS X Server 10.4.1
Apple Mac OS X Server 10.4
Apple Mac OS X Server 10.3.9
Apple Mac OS X 10.4.1
Apple Mac OS X 10.4
Apple Mac OS X 10.3.9

- 漏洞讨论

Apple has released Security Update 2005-006 to address multiple local and remote Mac OS X vulnerabilities.

The following new vulnerabilities were addressed by the security update:

- A buffer overflow (CAN-2005-1721) in the AFP (Apple File Protocol) Server.

- A vulnerability (CAN-2005-1720) in AFP Server related to temporary ACLs.

- A denial of service vulnerability (CAN-2005-1722) in the CoreGraphics component.

- A local privilege escalation (CAN-2005-1726) in the CoreGraphics component.

- A local race condition vulnerability (CAN-2005-1727) related to permissions on the system cache and Dashboard folders.

- A local privilege escalation vulnerability (CAN-2005-1725) in the launch daemon (launchd).

- A vulnerability in Launch Services (CAN-2005-1723) could allow files to bypass "safe download" checks.

- A vulnerability (CAN-2005-1728) in the MCX Client that may allow local attackers to gain access to Portable Home Directory credentials.

- A vulnerability in NFS (CAN-2005-1724) could allow unauthorized access to exported filesystems.

These vulnerabilities will be separated into individual BIDs upon further analysis of the issues.

- 漏洞利用

Currently we are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 解决方案

Apple has released advisory APPLE-SA-2005-06-08 and fixes for these issues:


Apple Mac OS X 10.3.9

Apple Mac OS X Server 10.3.9

Apple Mac OS X Server 10.4.1

Apple Mac OS X 10.4.1

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站